bitel.billing.server.admin.bean

## Class ContractParameterPref

- java.lang.Object
- - bitel.billing.server.admin.bean.ContractParameterPref

- Deprecated.

      @Deprecated
      public class ContractParameterPref
      extends java.lang.Object

  Использовать `#ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractParameterPref()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractParameterPref()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractParameterPref` | `convertToNewPref()` Deprecated.
    `int` | `getId()` Deprecated.
    `java.lang.String` | `getScript()` Deprecated.
    `int` | `getSort()` Deprecated.
    `java.lang.String` | `getTitle()` Deprecated.
    `int` | `getType()` Deprecated.
    `boolean` | `isHistory()` Deprecated.
    `boolean` | `isRead()` Deprecated.
    `boolean` | `isWrite()` Deprecated.
    `void` | `setHistory(boolean history)` Deprecated.
    `void` | `setId(int id)` Deprecated.
    `void` | `setRead(boolean read)` Deprecated.
    `void` | `setScript(java.lang.String script)` Deprecated.
    `void` | `setSort(int sort)` Deprecated.
    `void` | `setTitle(java.lang.String title)` Deprecated.
    `void` | `setType(int type)` Deprecated.
    `void` | `setWrite(boolean write)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParameterPref

          public ContractParameterPref()

      Deprecated.

  - ### Method Detail

    - #### getId

          public int getId()

      Deprecated.

    - #### setId

          public void setId(int id)

      Deprecated.

    - #### getType

          public int getType()

      Deprecated.

    - #### setType

          public void setType(int type)

      Deprecated.

    - #### getSort

          public int getSort()

      Deprecated.

    - #### setSort

          public void setSort(int sort)

      Deprecated.

    - #### getTitle

          public java.lang.String getTitle()

      Deprecated.

    - #### setTitle

          public void setTitle(java.lang.String title)

      Deprecated.

    - #### getScript

          public java.lang.String getScript()

      Deprecated.

    - #### setScript

          public void setScript(java.lang.String script)

      Deprecated.

    - #### isHistory

          public boolean isHistory()

      Deprecated.

    - #### setHistory

          public void setHistory(boolean history)

      Deprecated.

    - #### isRead

          public boolean isRead()

      Deprecated.

    - #### setRead

          public void setRead(boolean read)

      Deprecated.

    - #### isWrite

          public boolean isWrite()

      Deprecated.

    - #### setWrite

          public void setWrite(boolean write)

      Deprecated.

    - #### convertToNewPref

          public ContractParameterPref convertToNewPref()

      Deprecated.